• Global community
    • Language:
      • Deutsch
      • English
      • Español
      • Français
      • Português
  • 日本語コミュニティ
    Dedicated community for Japanese speakers
  • 한국 커뮤니티
    Dedicated community for Korean speakers

“Could not access the digital certificate. unable to load a certificate in this file”

Community Beginner ,
Apr 16, 2017 Apr 16, 2017

Copy link to clipboard

Copied

Ok im started new thread cause existed was marked as solved.

I cant publish android apk with my old certificate. But i need this cause i cant update my old android games with new created certificates.

Dear Adobe team can you say how much time you need to fix this? Im not alone.

Views

6.0K

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 1 Correct answer

Adobe Employee , May 23, 2017 May 23, 2017

Hi,

In case if you want to use Animate CC 2017 with the old 1024 RSA certificate then you can do the following

Prerequisite: Install Animate CC 2015.2 so that you have the older version of Java installed at

C:\Program Files\Common Files\Adobe\Adobe Animate CC 2015.2\jre

Steps:

1. Quit any version of Animate if it is running

2. Copy C:\Program Files\Common Files\Adobe\Adobe Animate CC 2015.2\jre

3. Rename C:\Program Files\Common Files\Adobe\Adobe Animate CC 2017\jre folder to say C:\Program Files\Commo

...

Likes

Translate

Translate
Community Expert ,
Mar 15, 2018 Mar 15, 2018

Copy link to clipboard

Copied

i've never had a problem with a milkman ane unless using an older version.  if you can confirm, there is no problem when you do not include the ane and there is a problem when the ane is included, first make sure you're using the latest version.  then write to milkman.  they are very responsive.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Engaged ,
Mar 15, 2018 Mar 15, 2018

Copy link to clipboard

Copied

I'm using the billing ANE. This is the warning that I get this from Google Play:

Warnings

You uploaded an APK that does not have BILLING permission, or has a BILLING permission that is limited to specific sdk versions. BILLING permission is required for selling in-app products.

So this confirms ridic blayze's experience.

As far as contacting milkman, of course I had done that before posting here. Have not heard back from them.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Mar 15, 2018 Mar 15, 2018

Copy link to clipboard

Copied

Hi.

Does your app manifest (.xml) has this line between the <manifestAdditions> tags?

<uses-permission android:name="com.android.vending.BILLING" />

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Engaged ,
Mar 15, 2018 Mar 15, 2018

Copy link to clipboard

Copied

Thank you! That was the problem. I had

   <uses-permission android:name="com.android..BILLING" />

I don't know how that line got corrupted. In any event, thank you so much for your suggestion. It's good to know that milkman stuff still works.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Mar 15, 2018 Mar 15, 2018

Copy link to clipboard

Copied

i'm using the milkman billing ane on google play and submitted an app last month without problem.  and most likely you're using an incorrect permissions tag or omitted it.  ie, see message 29 and include the ane in your extensions tag:

  <extensions>

    <extensionID>com.milkmangames.extensions.AndroidIAB</extensionID>

  </extensions>

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Apr 08, 2019 Apr 08, 2019

Copy link to clipboard

Copied

Here in April 2019, the brute force method described by @Mohanaraj no longer works.

Copying the old version of Java does allow for the APK to be built in Adobe Animate or via the command line. But when the APK is submitted to the Google Play Store, you'll get a message that "the certificate doesn't match the SH1 fingerprint on file".

Because of this I'm unable to update an older app in the Play Store and there's a critical bug I need to fix. I've tried to migrate to Google's App Signing service but I can't convert my old certificate because it's 1024bit. Google rejects the conversion because it doesn't meet a minimum encryption standard.

Has a non-brute force resolution been found for this? My app has close to a million downloads, so I'm not going to create a new app. I need to update the existing one. This problem has been known for close to two years now, I'm surprised there still isn't a ready-made solution. It's things like this that make me no longer recommend Adobe Air to new clients because Adobe isn't keeping up with maintaining compatibility.

Hope I'm wrong on this and there's a fantastic solution posted somewhere that I've overlooked.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Jun 30, 2017 Jun 30, 2017

Copy link to clipboard

Copied

I'm fairly pissed about this whole thing... and I doubt that i am alone - i.e. this bug surely affects anyone who published an app on the google play store that is more than a couple of years old, and in my experience, it makes it near impossible to update them as you cannot change certs without creating a new app listing.

Besides that, the fix doesn't work like it should. Despite following the steps above, I still get problems. This fix worked for me once...  but now i can't get it to work again, despite uninstalling / reinstalling animate cc 2015.2, and following the steps.

Only thing I can think of is using air sdk 22, but .... after downloading, 2015.2 is telling me the sdk is invalid (or any other sdk for that matter), and if i try to add the sdk in 2017 version, it says it cannot handle any sdks below 25!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

Now, when I compile, I get this error:

Error from apksigner: ERROR (Jar signer CERT.RSA): Failed to verify JAR signature META-INF/CERT.RSA against META-INF/CERT.SF: java.security.SignatureException: Certificate has unsupported critical extension(s)

I've noted that if I use a 2048 cert, it compiles fine (but that's no good to me, of course).

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
May 25, 2018 May 25, 2018

Copy link to clipboard

Copied

I am in great pain. I too can not update an older app. Is there a resolve to this? In face I can't even upload any app because I keep getting this error.Error from apksigner: ERROR (Jar signer CERT.RSA): Failed to verify JAR signature META-INF/CERT.RSA against META-INF/CERT.SF: java.security.SignatureException: Certificate has unsupported critical extension(s)

How can we fix this so I can update or publish new apps?

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Explorer ,
Nov 15, 2017 Nov 15, 2017

Copy link to clipboard

Copied

I was suffering the same issue, but using Google's App Signing solution, we can get around the incompatibility issue by creating a new key to publish with. You will need your original key, and follow their instructions. It was a bit of work, but now it works well for me.

Manage your app signing keys - Play Console Help

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Feb 06, 2019 Feb 06, 2019

Copy link to clipboard

Copied

i have the same problem.

i finished editing my app in adobe animate and when i go to publish, it forces me to enter my digital signature. When i press on create new and fill the form, a long error message appears.

could you please help generating a digital signature.

Thanks.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Feb 06, 2019 Feb 06, 2019

Copy link to clipboard

Copied

what error?

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Jul 30, 2019 Jul 30, 2019

Copy link to clipboard

Copied

Having this in Animate 2019 on MacOS 10.14.3 (Mac OSX).

What is the solution for Mac?

I have attempted to downgrade to Java (build 1.8.0_74-b02). No luck, same message.

This is 100% ridiculous.

From the very first time Adobe created a certificate for me through the Flash interface, many years ago, there was something in the back of my head that said, this just doesn't feel right. Well, here we are years later getting screwed.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Jul 30, 2019 Jul 30, 2019

Copy link to clipboard

Copied

How do you install Animate 2015.2 these days. Creative Cloud doesn't give me the option.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Jul 31, 2019 Jul 31, 2019

Copy link to clipboard

Copied

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Jul 31, 2019 Jul 31, 2019

Copy link to clipboard

Copied

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Aug 06, 2020 Aug 06, 2020

Copy link to clipboard

Copied

LATEST

شكرا جزيلا 

جزاكم الله خيرا

thank you

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines